#!/bin/csh -f

if ($#argv == 0) then
	echo Usage: $0 'all | prog1-indus.log [ prog2-indus.log ... ]'
	exit $#argv
	endif

if ($#argv == 1 && $1 == all) then
	set llist = ( `/bin/ls *-indus.log` )
else
	set llist = ( $* )
	endif

set plist = ( `echo $llist | sed 's/-indus.log//g'` )
echo '%' $plist
echo '%'
foreach p ( $plist )
	extract-indus.awksh -v prog=$p ${p}-indus.log | \
		sed 's/_/\\_/g'
	end

