#!/bin/csh -f

if ($#argv == 0) then
	echo Usage: $0 'all | prog1-ph.log [ prog2-ph.log ... ]'
	exit $#argv
	endif

if ($#argv == 1 && $1 == all) then
	set llist = ( `/bin/ls *-ph.log` )
else
	set llist = ( $* )
	endif

set plist = ( `echo $llist | sed 's/-ph.log//g'` )
echo '%' theory-res
echo '%'
theory-extract-ph.awksh -v prog=theory-res theory-res-ph.log
echo '%' $plist
echo '%'
foreach p ( $plist )
	extract-ph.awksh -v prog=$p ${p}-ph.log | \
		sed 's/_/\\_/g'
	end

